HTTPClientString.h File Reference
`#include "HTTPClientWrapper.h"`
`#include "HTTPClient.h"`

Go to the source code of this file.

## Functions

BOOL | HTTPStrInsensitiveCompare (CHAR *pSrc, CHAR *pDest, UINT32 nLength)
BOOL | HTTPStrSearch (CHAR *pSrc, CHAR *pSearched, UINT32 nOffset, UINT32 nScope, HTTP_PARAM *HttpParam)
CHAR | HTTPStrExtract (CHAR *pParam, UINT32 nOffset, CHAR Restore)
CHAR * | HTTPStrCaseStr (CHAR *pSrc, UINT32 nSrcLength, CHAR *pFind)
CHAR * | HTTPStrGetToken (CHAR *pSrc, UINT32 nSrcLength, CHAR *pDest, UINT32 *nDestLength)
UINT32 | HTTPStrGetDigestToken (HTTP_PARAM pParamSrc, CHAR *pSearched, HTTP_PARAM *pParamDest)
UINT32 | HTTPStrHToL (CHAR *s)
CHAR * | HTTPStrLToH (CHAR *dest, UINT32 nSrc)

## Function Documentation

## HTTPStrCaseStr()

CHAR * HTTPStrCaseStr | ( | CHAR * | pSrc,
|  | UINT32 | nSrcLength,
|  | CHAR * | pFind )

## HTTPStrExtract()

CHAR HTTPStrExtract | ( | CHAR * | pParam,
|  | UINT32 | nOffset,
|  | CHAR | Restore )

## HTTPStrGetDigestToken()

UINT32 HTTPStrGetDigestToken | ( | HTTP_PARAM | pParamSrc,
|  | CHAR * | pSearched,
|  | HTTP_PARAM * | pParamDest )

## HTTPStrGetToken()

CHAR * HTTPStrGetToken | ( | CHAR * | pSrc,
|  | UINT32 | nSrcLength,
|  | CHAR * | pDest,
|  | UINT32 * | nDestLength )

## HTTPStrHToL()

UINT32 HTTPStrHToL | ( | CHAR * | s | ) |

## HTTPStrInsensitiveCompare()

BOOL HTTPStrInsensitiveCompare | ( | CHAR * | pSrc,
|  | CHAR * | pDest,
|  | UINT32 | nLength )

## HTTPStrLToH()

CHAR * HTTPStrLToH | ( | CHAR * | dest,
|  | UINT32 | nSrc )

## HTTPStrSearch()

BOOL HTTPStrSearch | ( | CHAR * | pSrc,
|  | CHAR * | pSearched,
|  | UINT32 | nOffset,
|  | UINT32 | nScope,
|  | HTTP_PARAM * | HttpParam )